Loading...
Searching...
No Matches
portsmodel::PortFuse::StatusChangedEvent Struct Reference

Event: The state of the fuse has changed. More...

`import "PortFuse.idl";`

Inheritance diagram for portsmodel::PortFuse::StatusChangedEvent:

## Public Attributes

Status | oldStatus
| Previous fuse status.
Status | newStatus
| Current (new) fuse status.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: The state of the fuse has changed.

Definition at line 26 of file PortFuse.idl.

## Member Data Documentation

## newStatus

Status portsmodel::PortFuse::StatusChangedEvent::newStatus

Current (new) fuse status.

Definition at line 28 of file PortFuse.idl.

## oldStatus

Status portsmodel::PortFuse::StatusChangedEvent::oldStatus

Previous fuse status.

Definition at line 27 of file PortFuse.idl.

The documentation for this struct was generated from the following file:

- PortFuse.idl